From 4eae87c94c9cf31596c1238b83db9f00e7ea3f8b Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Wed, 4 Jan 2017 12:00:00 -0500
Subject: [PATCH 3/4] fixup! Add SUBSCRIPTION catalog and DDL

Remove unused includes
---
 src/backend/catalog/pg_subscription.c   | 14 --------------
 src/backend/commands/subscriptioncmds.c | 16 ----------------
 2 files changed, 30 deletions(-)

diff --git a/src/backend/catalog/pg_subscription.c b/src/backend/catalog/pg_subscription.c
index c15e9b5d74..eae50632c6 100644
--- a/src/backend/catalog/pg_subscription.c
+++ b/src/backend/catalog/pg_subscription.c
@@ -13,34 +13,20 @@
 
 #include "postgres.h"
 
-#include "funcapi.h"
 #include "miscadmin.h"
 
 #include "access/genam.h"
-#include "access/hash.h"
 #include "access/heapam.h"
 #include "access/htup_details.h"
-#include "access/xact.h"
 
-#include "catalog/indexing.h"
-#include "catalog/namespace.h"
-#include "catalog/objectaddress.h"
 #include "catalog/pg_type.h"
 #include "catalog/pg_subscription.h"
 
-#include "executor/spi.h"
-
 #include "nodes/makefuncs.h"
 
-#include "replication/reorderbuffer.h"
-
 #include "utils/array.h"
 #include "utils/builtins.h"
-#include "utils/catcache.h"
 #include "utils/fmgroids.h"
-#include "utils/inval.h"
-#include "utils/lsyscache.h"
-#include "utils/rel.h"
 #include "utils/syscache.h"
 
 
diff --git a/src/backend/commands/subscriptioncmds.c b/src/backend/commands/subscriptioncmds.c
index 9dbd6d4c59..22bc2e2040 100644
--- a/src/backend/commands/subscriptioncmds.c
+++ b/src/backend/commands/subscriptioncmds.c
@@ -13,17 +13,12 @@
 
 #include "postgres.h"
 
-#include "funcapi.h"
 #include "miscadmin.h"
 
-#include "access/genam.h"
-#include "access/hash.h"
 #include "access/heapam.h"
 #include "access/htup_details.h"
-#include "access/xact.h"
 
 #include "catalog/indexing.h"
-#include "catalog/namespace.h"
 #include "catalog/objectaccess.h"
 #include "catalog/objectaddress.h"
 #include "catalog/pg_type.h"
@@ -33,24 +28,13 @@
 #include "commands/event_trigger.h"
 #include "commands/replicationcmds.h"
 
-#include "executor/spi.h"
-
-#include "nodes/makefuncs.h"
-
 #include "replication/origin.h"
-#include "replication/reorderbuffer.h"
 #include "replication/walreceiver.h"
 
 #include "storage/lmgr.h"
 
-#include "utils/array.h"
 #include "utils/builtins.h"
-#include "utils/catcache.h"
-#include "utils/fmgroids.h"
-#include "utils/inval.h"
-#include "utils/lsyscache.h"
 #include "utils/memutils.h"
-#include "utils/rel.h"
 #include "utils/syscache.h"
 
 /*
-- 
2.11.0

